Loading...
Searching...
No Matches
Opm::BlackOilBrineIntensiveQuantities< TypeTag, true > Class Template Reference

## Public Member Functions

void | updateSaltConcentration_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Update the intensive properties needed to handle brine from the primary variables.
void | updateSaltConcentration_ (const PrimaryVariables &priVars, const unsigned timeIdx, const LinearizationType lintype)
void | saltPropertiesUpdate_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
const Evaluation & | brineRefDensity () const
Scalar | saltSolubility () const
Scalar | saltDensity () const
const Evaluation & | permFactor () const

## Protected Member Functions

Implementation & | asImp_ ()

## Protected Attributes

Evaluation | saltConcentration_
Evaluation | refDensity_
Evaluation | saltSaturation_
Evaluation | permFactor_
Scalar | saltSolubility_
Scalar | saltDensity_

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilbrinemodules.hh